Bug 504957 - references to non-existing dirs in wnb
references to non-existing dirs in wnb
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wordnet (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: steve
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 04:18 EDT by Caolan McNamara
Modified: 2009-06-26 22:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0-9.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested change (473 bytes, patch)
2009-06-10 04:18 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2009-06-10 04:18:04 EDT
Description of problem:
wordnet-3.0-fix_resourcedir_path.patch refers to path that don't exist

Version-Release number of selected component (if applicable):
wordnet-3.0-8

i.e. wordnet-3.0-fix_resourcedir_path.patch has

-       set resourcedir "/usr/local/WordNet-3.0/lib/wnres"
+       set resourcedir "/usr/share/wordnet/wnres"

-   -command {showhelpwidget helpwidget_license $resourcedir/license.txt "WordNet License"}
+   -command {showhelpwidget helpwidget_license /usr/share/doc/wordnet/copyright "WordNet License"}

but /usr/share/doc/wordnet/copyright doesn't exist, and neither does /usr/share/wordnet/wnres

/usr/share/wordnet-3.0/lib/wnres and /usr/share/wordnet-3.0/lib/wnres/license.txt do exist, so perhaps the attached replacement for wordnet-3.0-fix_resourcedir_path.patch is the right thing to do
Comment 1 Caolan McNamara 2009-06-10 04:18:44 EDT
Created attachment 347170 [details]
suggested change
Comment 2 Fedora Update System 2009-06-10 09:52:57 EDT
wordnet-3.0-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wordnet-3.0-9.fc11
Comment 3 Fedora Update System 2009-06-10 09:53:03 EDT
wordnet-3.0-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wordnet-3.0-9.fc10
Comment 4 steve 2009-06-10 09:54:28 EDT
(In reply to comment #1)
> Created an attachment (id=347170) [details]
> suggested change  

Caolan, thanks for the report and fix!

- steve
Comment 5 Fedora Update System 2009-06-15 22:05:00 EDT
wordnet-3.0-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wordnet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6281
Comment 6 Fedora Update System 2009-06-15 22:42:54 EDT
wordnet-3.0-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wordnet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6480
Comment 7 Fedora Update System 2009-06-26 22:39:28 EDT
wordnet-3.0-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-26 22:54:09 EDT
wordnet-3.0-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.